// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.29.0
// 	protoc        v3.17.3
// source: yandex/cloud/loadbalancer/v1/health_check.proto

package loadbalancer

import (
	_ "github.com/yandex-cloud/go-genproto/yandex/cloud"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	durationpb "google.golang.org/protobuf/types/known/durationpb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// A HealthCheck resource. For more information, see [Health check](/docs/network-load-balancer/concepts/health-check).
type HealthCheck struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Name of the health check. The name must be unique for each target group that attached to a single load balancer. 3-63 characters long.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// The interval between health checks. The default is 2 seconds.
	Interval *durationpb.Duration `protobuf:"bytes,2,opt,name=interval,proto3" json:"interval,omitempty"`
	// Timeout for a target to return a response for the health check. The default is 1 second.
	Timeout *durationpb.Duration `protobuf:"bytes,3,opt,name=timeout,proto3" json:"timeout,omitempty"`
	// Number of failed health checks before changing the status to “ UNHEALTHY “. The default is 2.
	UnhealthyThreshold int64 `protobuf:"varint,4,opt,name=unhealthy_threshold,json=unhealthyThreshold,proto3" json:"unhealthy_threshold,omitempty"`
	// Number of successful health checks required in order to set the “ HEALTHY “ status for the target. The default is 2.
	HealthyThreshold int64 `protobuf:"varint,5,opt,name=healthy_threshold,json=healthyThreshold,proto3" json:"healthy_threshold,omitempty"`
	// Protocol to use for the health check. Either TCP or HTTP.
	//
	// Types that are assignable to Options:
	//
	//	*HealthCheck_TcpOptions_
	//	*HealthCheck_HttpOptions_
	Options isHealthCheck_Options `protobuf_oneof:"options"`
}

func (x *HealthCheck) Reset() {
	*x = HealthCheck{}
	if protoimpl.UnsafeEnabled {
		mi := &file_yandex_cloud_loadbalancer_v1_health_check_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HealthCheck) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HealthCheck) ProtoMessage() {}

func (x *HealthCheck) ProtoReflect() protoreflect.Message {
	mi := &file_yandex_cloud_loadbalancer_v1_health_check_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HealthCheck.ProtoReflect.Descriptor instead.
func (*HealthCheck) Descriptor() ([]byte, []int) {
	return file_yandex_cloud_loadbalancer_v1_health_check_proto_rawDescGZIP(), []int{0}
}

func (x *HealthCheck) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *HealthCheck) GetInterval() *durationpb.Duration {
	if x != nil {
		return x.Interval
	}
	return nil
}

func (x *HealthCheck) GetTimeout() *durationpb.Duration {
	if x != nil {
		return x.Timeout
	}
	return nil
}

func (x *HealthCheck) GetUnhealthyThreshold() int64 {
	if x != nil {
		return x.UnhealthyThreshold
	}
	return 0
}

func (x *HealthCheck) GetHealthyThreshold() int64 {
	if x != nil {
		return x.HealthyThreshold
	}
	return 0
}

func (m *HealthCheck) GetOptions() isHealthCheck_Options {
	if m != nil {
		return m.Options
	}
	return nil
}

func (x *HealthCheck) GetTcpOptions() *HealthCheck_TcpOptions {
	if x, ok := x.GetOptions().(*HealthCheck_TcpOptions_); ok {
		return x.TcpOptions
	}
	return nil
}

func (x *HealthCheck) GetHttpOptions() *HealthCheck_HttpOptions {
	if x, ok := x.GetOptions().(*HealthCheck_HttpOptions_); ok {
		return x.HttpOptions
	}
	return nil
}

type isHealthCheck_Options interface {
	isHealthCheck_Options()
}

type HealthCheck_TcpOptions_ struct {
	// Options for TCP health check.
	TcpOptions *HealthCheck_TcpOptions `protobuf:"bytes,6,opt,name=tcp_options,json=tcpOptions,proto3,oneof"`
}

type HealthCheck_HttpOptions_ struct {
	// Options for HTTP health check.
	HttpOptions *HealthCheck_HttpOptions `protobuf:"bytes,7,opt,name=http_options,json=httpOptions,proto3,oneof"`
}

func (*HealthCheck_TcpOptions_) isHealthCheck_Options() {}

func (*HealthCheck_HttpOptions_) isHealthCheck_Options() {}

// Configuration option for a TCP health check.
type HealthCheck_TcpOptions struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Port to use for TCP health checks.
	Port int64 `protobuf:"varint,1,opt,name=port,proto3" json:"port,omitempty"`
}

func (x *HealthCheck_TcpOptions) Reset() {
	*x = HealthCheck_TcpOptions{}
	if protoimpl.UnsafeEnabled {
		mi := &file_yandex_cloud_loadbalancer_v1_health_check_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HealthCheck_TcpOptions) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HealthCheck_TcpOptions) ProtoMessage() {}

func (x *HealthCheck_TcpOptions) ProtoReflect() protoreflect.Message {
	mi := &file_yandex_cloud_loadbalancer_v1_health_check_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HealthCheck_TcpOptions.ProtoReflect.Descriptor instead.
func (*HealthCheck_TcpOptions) Descriptor() ([]byte, []int) {
	return file_yandex_cloud_loadbalancer_v1_health_check_proto_rawDescGZIP(), []int{0, 0}
}

func (x *HealthCheck_TcpOptions) GetPort() int64 {
	if x != nil {
		return x.Port
	}
	return 0
}

// Configuration option for an HTTP health check.
type HealthCheck_HttpOptions struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Port to use for HTTP health checks.
	Port int64 `protobuf:"varint,1,opt,name=port,proto3" json:"port,omitempty"`
	// URL path to set for health checking requests for every target in the target group.
	// For example “ /ping “. The default path is “ / “.
	Path string `protobuf:"bytes,2,opt,name=path,proto3" json:"path,omitempty"`
}

func (x *HealthCheck_HttpOptions) Reset() {
	*x = HealthCheck_HttpOptions{}
	if protoimpl.UnsafeEnabled {
		mi := &file_yandex_cloud_loadbalancer_v1_health_check_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HealthCheck_HttpOptions) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HealthCheck_HttpOptions) ProtoMessage() {}

func (x *HealthCheck_HttpOptions) ProtoReflect() protoreflect.Message {
	mi := &file_yandex_cloud_loadbalancer_v1_health_check_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HealthCheck_HttpOptions.ProtoReflect.Descriptor instead.
func (*HealthCheck_HttpOptions) Descriptor() ([]byte, []int) {
	return file_yandex_cloud_loadbalancer_v1_health_check_proto_rawDescGZIP(), []int{0, 1}
}

func (x *HealthCheck_HttpOptions) GetPort() int64 {
	if x != nil {
		return x.Port
	}
	return 0
}

func (x *HealthCheck_HttpOptions) GetPath() string {
	if x != nil {
		return x.Path
	}
	return ""
}

var File_yandex_cloud_loadbalancer_v1_health_check_proto protoreflect.FileDescriptor

var file_yandex_cloud_loadbalancer_v1_health_check_proto_rawDesc = []byte{
	0x0a, 0x2f, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2f, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x6c,
	0x6f, 0x61, 0x64, 0x62, 0x61, 0x6c, 0x61, 0x6e, 0x63, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x2f, 0x68,
	0x65, 0x61, 0x6c, 0x74, 0x68, 0x5f, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x1c, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e,
	0x6c, 0x6f, 0x61, 0x64, 0x62, 0x61, 0x6c, 0x61, 0x6e, 0x63, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x1a,
	0x1e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2f, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a,
	0x1d, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2f, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x76, 0x61,
	0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xdf,
	0x04, 0x0a, 0x0b, 0x48, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x12, 0x39,
	0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x42, 0x25, 0xe8, 0xc7,
	0x31, 0x01, 0xf2, 0xc7, 0x31, 0x1d, 0x7c, 0x5b, 0x61, 0x2d, 0x7a, 0x5d, 0x5b, 0x2d, 0x61, 0x2d,
	0x7a, 0x30, 0x2d, 0x39, 0x5d, 0x7b, 0x31, 0x2c, 0x36, 0x31, 0x7d, 0x5b, 0x61, 0x2d, 0x7a, 0x30,
	0x2d, 0x39, 0x5d, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x35, 0x0a, 0x08, 0x69, 0x6e, 0x74,
	0x65, 0x72, 0x76, 0x61, 0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x44, 0x75,
	0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x08, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x76, 0x61, 0x6c,
	0x12, 0x33, 0x0a, 0x07, 0x74, 0x69, 0x6d, 0x65, 0x6f, 0x75, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x19, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2e, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x07, 0x74, 0x69,
	0x6d, 0x65, 0x6f, 0x75, 0x74, 0x12, 0x39, 0x0a, 0x13, 0x75, 0x6e, 0x68, 0x65, 0x61, 0x6c, 0x74,
	0x68, 0x79, 0x5f, 0x74, 0x68, 0x72, 0x65, 0x73, 0x68, 0x6f, 0x6c, 0x64, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x03, 0x42, 0x08, 0xfa, 0xc7, 0x31, 0x04, 0x32, 0x2d, 0x31, 0x30, 0x52, 0x12, 0x75, 0x6e,
	0x68, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x79, 0x54, 0x68, 0x72, 0x65, 0x73, 0x68, 0x6f, 0x6c, 0x64,
	0x12, 0x35, 0x0a, 0x11, 0x68, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x79, 0x5f, 0x74, 0x68, 0x72, 0x65,
	0x73, 0x68, 0x6f, 0x6c, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x03, 0x42, 0x08, 0xfa, 0xc7, 0x31,
	0x04, 0x32, 0x2d, 0x31, 0x30, 0x52, 0x10, 0x68, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x79, 0x54, 0x68,
	0x72, 0x65, 0x73, 0x68, 0x6f, 0x6c, 0x64, 0x12, 0x57, 0x0a, 0x0b, 0x74, 0x63, 0x70, 0x5f, 0x6f,
	0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x34, 0x2e, 0x79,
	0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x6c, 0x6f, 0x61, 0x64,
	0x62, 0x61, 0x6c, 0x61, 0x6e, 0x63, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x48, 0x65, 0x61, 0x6c,
	0x74, 0x68, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x2e, 0x54, 0x63, 0x70, 0x4f, 0x70, 0x74, 0x69, 0x6f,
	0x6e, 0x73, 0x48, 0x00, 0x52, 0x0a, 0x74, 0x63, 0x70, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73,
	0x12, 0x5a, 0x0a, 0x0c, 0x68, 0x74, 0x74, 0x70, 0x5f, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73,
	0x18, 0x07, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x35, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e,
	0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x6c, 0x6f, 0x61, 0x64, 0x62, 0x61, 0x6c, 0x61, 0x6e, 0x63,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x48, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x43, 0x68, 0x65, 0x63,
	0x6b, 0x2e, 0x48, 0x74, 0x74, 0x70, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x48, 0x00, 0x52,
	0x0b, 0x68, 0x74, 0x74, 0x70, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x1a, 0x2d, 0x0a, 0x0a,
	0x54, 0x63, 0x70, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x1f, 0x0a, 0x04, 0x70, 0x6f,
	0x72, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x42, 0x0b, 0xfa, 0xc7, 0x31, 0x07, 0x31, 0x2d,
	0x36, 0x35, 0x35, 0x33, 0x35, 0x52, 0x04, 0x70, 0x6f, 0x72, 0x74, 0x1a, 0x42, 0x0a, 0x0b, 0x48,
	0x74, 0x74, 0x70, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x1f, 0x0a, 0x04, 0x70, 0x6f,
	0x72, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x42, 0x0b, 0xfa, 0xc7, 0x31, 0x07, 0x31, 0x2d,
	0x36, 0x35, 0x35, 0x33, 0x35, 0x52, 0x04, 0x70, 0x6f, 0x72, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x70,
	0x61, 0x74, 0x68, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x70, 0x61, 0x74, 0x68, 0x42,
	0x0f, 0x0a, 0x07, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x04, 0xc0, 0xc1, 0x31, 0x01,
	0x42, 0x71, 0x0a, 0x20, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x6c, 0x6f, 0x61, 0x64, 0x62, 0x61, 0x6c, 0x61, 0x6e, 0x63, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x5a, 0x4d, 0x67, 0x69, 0x74, 0x68, 0x75, 0x62, 0x2e, 0x63, 0x6f, 0x6d,
	0x2f, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2d, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x67, 0x6f,
	0x2d, 0x67, 0x65, 0x6e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78,
	0x2f, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x6c, 0x6f, 0x61, 0x64, 0x62, 0x61, 0x6c, 0x61, 0x6e,
	0x63, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x3b, 0x6c, 0x6f, 0x61, 0x64, 0x62, 0x61, 0x6c, 0x61, 0x6e,
	0x63, 0x65, 0x72, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_yandex_cloud_loadbalancer_v1_health_check_proto_rawDescOnce sync.Once
	file_yandex_cloud_loadbalancer_v1_health_check_proto_rawDescData = file_yandex_cloud_loadbalancer_v1_health_check_proto_rawDesc
)

func file_yandex_cloud_loadbalancer_v1_health_check_proto_rawDescGZIP() []byte {
	file_yandex_cloud_loadbalancer_v1_health_check_proto_rawDescOnce.Do(func() {
		file_yandex_cloud_loadbalancer_v1_health_check_proto_rawDescData = protoimpl.X.CompressGZIP(file_yandex_cloud_loadbalancer_v1_health_check_proto_rawDescData)
	})
	return file_yandex_cloud_loadbalancer_v1_health_check_proto_rawDescData
}

var file_yandex_cloud_loadbalancer_v1_health_check_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_yandex_cloud_loadbalancer_v1_health_check_proto_goTypes = []interface{}{
	(*HealthCheck)(nil),             // 0: yandex.cloud.loadbalancer.v1.HealthCheck
	(*HealthCheck_TcpOptions)(nil),  // 1: yandex.cloud.loadbalancer.v1.HealthCheck.TcpOptions
	(*HealthCheck_HttpOptions)(nil), // 2: yandex.cloud.loadbalancer.v1.HealthCheck.HttpOptions
	(*durationpb.Duration)(nil),     // 3: google.protobuf.Duration
}
var file_yandex_cloud_loadbalancer_v1_health_check_proto_depIdxs = []int32{
	3, // 0: yandex.cloud.loadbalancer.v1.HealthCheck.interval:type_name -> google.protobuf.Duration
	3, // 1: yandex.cloud.loadbalancer.v1.HealthCheck.timeout:type_name -> google.protobuf.Duration
	1, // 2: yandex.cloud.loadbalancer.v1.HealthCheck.tcp_options:type_name -> yandex.cloud.loadbalancer.v1.HealthCheck.TcpOptions
	2, // 3: yandex.cloud.loadbalancer.v1.HealthCheck.http_options:type_name -> yandex.cloud.loadbalancer.v1.HealthCheck.HttpOptions
	4, // [4:4] is the sub-list for method output_type
	4, // [4:4] is the sub-list for method input_type
	4, // [4:4] is the sub-list for extension type_name
	4, // [4:4] is the sub-list for extension extendee
	0, // [0:4] is the sub-list for field type_name
}

func init() { file_yandex_cloud_loadbalancer_v1_health_check_proto_init() }
func file_yandex_cloud_loadbalancer_v1_health_check_proto_init() {
	if File_yandex_cloud_loadbalancer_v1_health_check_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_yandex_cloud_loadbalancer_v1_health_check_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HealthCheck); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_yandex_cloud_loadbalancer_v1_health_check_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HealthCheck_TcpOptions); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_yandex_cloud_loadbalancer_v1_health_check_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HealthCheck_HttpOptions); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_yandex_cloud_loadbalancer_v1_health_check_proto_msgTypes[0].OneofWrappers = []interface{}{
		(*HealthCheck_TcpOptions_)(nil),
		(*HealthCheck_HttpOptions_)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_yandex_cloud_loadbalancer_v1_health_check_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_yandex_cloud_loadbalancer_v1_health_check_proto_goTypes,
		DependencyIndexes: file_yandex_cloud_loadbalancer_v1_health_check_proto_depIdxs,
		MessageInfos:      file_yandex_cloud_loadbalancer_v1_health_check_proto_msgTypes,
	}.Build()
	File_yandex_cloud_loadbalancer_v1_health_check_proto = out.File
	file_yandex_cloud_loadbalancer_v1_health_check_proto_rawDesc = nil
	file_yandex_cloud_loadbalancer_v1_health_check_proto_goTypes = nil
	file_yandex_cloud_loadbalancer_v1_health_check_proto_depIdxs = nil
}
